package com.platform.entities;

public class CheckoutEntity extends PreDataInfo implements Comparable<CheckoutEntity> {
	
	/** 验证结果 */
	private String checkResult;
	
	/** 支付信息表 */
	private String payResult;

	/** 执行信息表 */
	private String execResult;
	
	/** 支付信息表校验--汇总--校验字段：0：未校验，1：不需校验，2：正在校验，3：校验成功，4：校验失败，5：待抽取，6：正在抽取，7：抽取完成 */
	private String payResultLast;

	/** 执行信息表校验--汇总 --校验字段：0：未校验，1：不需校验，2：正在校验，3：校验成功，4：校验失败，5：待抽取，6：正在抽取，7：抽取完成 */
	private String execResultLast;
	
	/** 是否进行了校验  , 0未校验，1已校验,2正则校验,6正在抽取，7抽取完成*/
	private String checkoutFlag;
	
	/** 数据所在的路径 */
	private String path;
	
	/** 数据年度 */
	private String year;
	
	/**	 是否抽取 	，0标示为未汇总，1标示汇总中，2标示汇总完成 */
	private int extractStatus;
	
	/** 标准表抽取标记 */
	private String standardExtractStatus;
	
	/**
	 * 描述更新-？
	 */
	private String mark;

	/**
	 * @return the checkResult
	 */
	public String getCheckResult() {
		return checkResult;
	}

	/**
	 * @param checkResult the checkResult to set
	 */
	public void setCheckResult(String checkResult) {
		this.checkResult = checkResult;
	}

	/**
	 * @return the payResult
	 */
	public String getPayResult() {
		return payResult;
	}

	/**
	 * @param payResult the payResult to set
	 */
	public void setPayResult(String payResult) {
		this.payResult = payResult;
	}

	/**
	 * @return the execResult
	 */
	public String getExecResult() {
		return execResult;
	}

	/**
	 * @param execResult the execResult to set
	 */
	public void setExecResult(String execResult) {
		this.execResult = execResult;
	}

	/**
	 * @return the payResultLast
	 */
	public String getPayResultLast() {
		return payResultLast;
	}

	/**
	 * @param payResultLast the payResultLast to set
	 */
	public void setPayResultLast(String payResultLast) {
		this.payResultLast = payResultLast;
	}

	/**
	 * @return the execResultLast
	 */
	public String getExecResultLast() {
		return execResultLast;
	}

	/**
	 * @param execResultLast the execResultLast to set
	 */
	public void setExecResultLast(String execResultLast) {
		this.execResultLast = execResultLast;
	}

	/**
	 * @return the checkoutFlag
	 */
	public String getCheckoutFlag() {
		return checkoutFlag;
	}

	/**
	 * @param checkoutFlag the checkoutFlag to set
	 */
	public void setCheckoutFlag(String checkoutFlag) {
		this.checkoutFlag = checkoutFlag;
	}

	/**
	 * @return the path
	 */
	public String getPath() {
		return path;
	}

	/**
	 * @param path the path to set
	 */
	public void setPath(String path) {
		this.path = path;
	}

	/**
	 * @return the year
	 */
	public String getYear() {
		return year;
	}

	/**
	 * @param year the year to set
	 */
	public void setYear(String year) {
		this.year = year;
	}

	/**
	 * @return the extractStatus
	 */
	public int getExtractStatus() {
		return extractStatus;
	}

	/**
	 * @param extractStatus the extractStatus to set
	 */
	public void setExtractStatus(int extractStatus) {
		this.extractStatus = extractStatus;
	}

	/**
	 * @return the mark
	 */
	public String getMark() {
		return mark;
	}

	/**
	 * @param mark the mark to set
	 */
	public void setMark(String mark) {
		this.mark = mark;
	}

	/**
	 * @return the standardExtractStatus
	 */
	public String getStandardExtractStatus() {
		return standardExtractStatus;
	}

	/**
	 * @param standardExtractStatus the standardExtractStatus to set
	 */
	public void setStandardExtractStatus(String standardExtractStatus) {
		this.standardExtractStatus = standardExtractStatus;
	}

	/** 按checkResult的状态排序  */
	@Override
	public int compareTo(CheckoutEntity arg0) {
		if ("是".equals(arg0.getCheckResult())) {
			return -1;
		}
		return 1;
	}
	
	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(this.getId()).append(",").append(this.getDataId()).append(",").append(this.getAreaCode())
		.append(this.getCityName()).append(",").append(this.getDistrictName()).append(",").append(this.getSysName()).append(",").append(this.getDataVersion())
		.append(",").append(this.getDataBaseType()).append(",falg ").append(this.getCheckoutFlag()).append(",Exec ")
		.append(this.getExecResultLast()).append(",pay ").append(this.getPayResultLast());
		return sb.toString();
	}
	
}
